com.sun.pdfview

## Class PDFXref

- java.lang.Object
- - com.sun.pdfview.PDFXref

    public class PDFXref
    extends java.lang.Object

An indirect reference to some object in the PDFFile

### Constructor Summary

Constructors
Constructor and Description
`PDFXref(int objectNumber, int gen)` create a new PDFXref, given a parsed id and generation.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`int` `getGeneration()` get the generation of this object
`int` `getObjectNumber()` get the object number of this object
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFXref

    public PDFXref(int objectNumber,
           int gen)

create a new PDFXref, given a parsed id and generation.

### Method Detail

#### getGeneration

    public int getGeneration()

get the generation of this object

#### getObjectNumber

    public int getObjectNumber()

get the object number of this object

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`